The BOM Operation object

Attributes

id string

Unique identifier for the object.

idx integer
parent_id string required
parent_type string required
operation string required
workstation string
description string
hour_rate number
time_in_mins number required
fixed_time boolean

Default: false

operating_cost number
base_hour_rate number
base_operating_cost number
image string
batch_size integer
sequence_id integer
cost_per_unit number
base_cost_per_unit number
set_cost_based_on_bom_qty boolean

Default: false

workstation_type string
finished_good string
bom_no string
finished_good_qty number

Default: 1

is_final_finished_good boolean

Default: false

wip_warehouse string
fg_warehouse string
source_warehouse string
is_subcontracted boolean

Default: false

skip_material_transfer boolean

Default: false

backflush_from_wip_warehouse boolean

Default: false

quality_inspection_required boolean

Default: false

The BOM Operation object
{
  "id": "b-o-m-operation_abc123",
  "idx": 1,
  "parent_id": null,
  "parent_type": "parent_type_example",
  "operation": "operation_example",
  "workstation": "workstation_example",
  "description": "description_example",
  "hour_rate": 0,
  "time_in_mins": 0,
  "fixed_time": false,
  "operating_cost": 0,
  "base_hour_rate": 0,
  "base_operating_cost": 0,
  "image": "image_example",
  "batch_size": 0,
  "sequence_id": 0,
  "cost_per_unit": 0,
  "base_cost_per_unit": 0,
  "set_cost_based_on_bom_qty": false,
  "workstation_type": "workstation_type_example",
  "finished_good": "finished_good_example",
  "bom_no": "bom_no_example",
  "finished_good_qty": 1,
  "is_final_finished_good": false,
  "wip_warehouse": "wip_warehouse_example",
  "fg_warehouse": "fg_warehouse_example",
  "source_warehouse": "source_warehouse_example",
  "is_subcontracted": false,
  "skip_material_transfer": false,
  "backflush_from_wip_warehouse": false,
  "quality_inspection_required": false
}
GET /api/manufacturing/b-o-m-operation?parent_id={id}

List bom operations by parent

Returns all bom operations belonging to the specified parent.

Query parameters

parent_id string required

The ID of the parent to list children for.

Returns

A list of bom operation objects belonging to the parent.

GET /api/manufacturing/b-o-m-operation?parent_id={id}
curl https://api.overplane.dev/api/manufacturing/b-o-m-operation?parent_id=parent_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "b-o-m-operation_abc123",
      "idx": 1,
      "parent_id": null,
      "parent_type": "parent_type_example",
      "operation": "operation_example",
      "workstation": "workstation_example",
      "description": "description_example",
      "hour_rate": 0,
      "time_in_mins": 0,
      "fixed_time": false,
      "operating_cost": 0,
      "base_hour_rate": 0,
      "base_operating_cost": 0,
      "image": "image_example",
      "batch_size": 0,
      "sequence_id": 0,
      "cost_per_unit": 0,
      "base_cost_per_unit": 0,
      "set_cost_based_on_bom_qty": false,
      "workstation_type": "workstation_type_example",
      "finished_good": "finished_good_example",
      "bom_no": "bom_no_example",
      "finished_good_qty": 1,
      "is_final_finished_good": false,
      "wip_warehouse": "wip_warehouse_example",
      "fg_warehouse": "fg_warehouse_example",
      "source_warehouse": "source_warehouse_example",
      "is_subcontracted": false,
      "skip_material_transfer": false,
      "backflush_from_wip_warehouse": false,
      "quality_inspection_required": false
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/manufacturing/b-o-m-operation

Create a bom operation

Creates a new bom operation object.

Body parameters

idx integer
parent_id string required
parent_type string required
operation string required
workstation string
description string
hour_rate number
time_in_mins number required
fixed_time boolean

Default: false

operating_cost number
base_hour_rate number
base_operating_cost number
image string
batch_size integer
sequence_id integer
cost_per_unit number
base_cost_per_unit number
set_cost_based_on_bom_qty boolean

Default: false

workstation_type string
finished_good string
bom_no string
finished_good_qty number

Default: 1

is_final_finished_good boolean

Default: false

wip_warehouse string
fg_warehouse string
source_warehouse string
is_subcontracted boolean

Default: false

skip_material_transfer boolean

Default: false

backflush_from_wip_warehouse boolean

Default: false

quality_inspection_required boolean

Default: false

Returns

Returns the newly created bom operation object if the call succeeded.

POST /api/manufacturing/b-o-m-operation
curl https://api.overplane.dev/api/manufacturing/b-o-m-operation \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{"parent_id":null,"parent_type":"parent_type_example","operation":"operation_example","time_in_mins":0}'
Response
{
  "id": "b-o-m-operation_abc123",
  "idx": 1,
  "parent_id": null,
  "parent_type": "parent_type_example",
  "operation": "operation_example",
  "workstation": "workstation_example",
  "description": "description_example",
  "hour_rate": 0,
  "time_in_mins": 0,
  "fixed_time": false,
  "operating_cost": 0,
  "base_hour_rate": 0,
  "base_operating_cost": 0,
  "image": "image_example",
  "batch_size": 0,
  "sequence_id": 0,
  "cost_per_unit": 0,
  "base_cost_per_unit": 0,
  "set_cost_based_on_bom_qty": false,
  "workstation_type": "workstation_type_example",
  "finished_good": "finished_good_example",
  "bom_no": "bom_no_example",
  "finished_good_qty": 1,
  "is_final_finished_good": false,
  "wip_warehouse": "wip_warehouse_example",
  "fg_warehouse": "fg_warehouse_example",
  "source_warehouse": "source_warehouse_example",
  "is_subcontracted": false,
  "skip_material_transfer": false,
  "backflush_from_wip_warehouse": false,
  "quality_inspection_required": false
}
PATCH /api/manufacturing/b-o-m-operation/{id}

Update a bom operation

Updates the specified bom operation by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the bom operation to update.

Body parameters

idx integer
parent_id string
parent_type string
operation string
workstation string
description string
hour_rate number
time_in_mins number
fixed_time boolean

Default: false

operating_cost number
base_hour_rate number
base_operating_cost number
image string
batch_size integer
sequence_id integer
cost_per_unit number
base_cost_per_unit number
set_cost_based_on_bom_qty boolean

Default: false

workstation_type string
finished_good string
bom_no string
finished_good_qty number

Default: 1

is_final_finished_good boolean

Default: false

wip_warehouse string
fg_warehouse string
source_warehouse string
is_subcontracted boolean

Default: false

skip_material_transfer boolean

Default: false

backflush_from_wip_warehouse boolean

Default: false

quality_inspection_required boolean

Default: false

Returns

Returns the updated bom operation object.

PATCH /api/manufacturing/b-o-m-operation/{id}
curl https://api.overplane.dev/api/manufacturing/b-o-m-operation/b-o-m-operation_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"idx":1,"parent_id":null}'
Response
{
  "id": "b-o-m-operation_abc123",
  "idx": 1,
  "parent_id": null,
  "parent_type": "parent_type_example",
  "operation": "operation_example",
  "workstation": "workstation_example",
  "description": "description_example",
  "hour_rate": 0,
  "time_in_mins": 0,
  "fixed_time": false,
  "operating_cost": 0,
  "base_hour_rate": 0,
  "base_operating_cost": 0,
  "image": "image_example",
  "batch_size": 0,
  "sequence_id": 0,
  "cost_per_unit": 0,
  "base_cost_per_unit": 0,
  "set_cost_based_on_bom_qty": false,
  "workstation_type": "workstation_type_example",
  "finished_good": "finished_good_example",
  "bom_no": "bom_no_example",
  "finished_good_qty": 1,
  "is_final_finished_good": false,
  "wip_warehouse": "wip_warehouse_example",
  "fg_warehouse": "fg_warehouse_example",
  "source_warehouse": "source_warehouse_example",
  "is_subcontracted": false,
  "skip_material_transfer": false,
  "backflush_from_wip_warehouse": false,
  "quality_inspection_required": false
}
DELETE /api/manufacturing/b-o-m-operation/{id}

Delete a bom operation

Permanently deletes a bom operation. This cannot be undone.

Path parameters

id string required

The identifier of the bom operation to delete.

Returns

Returns a confirmation that the bom operation has been deleted.

DELETE /api/manufacturing/b-o-m-operation/{id}
curl https://api.overplane.dev/api/manufacturing/b-o-m-operation/b-o-m-operation_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "b-o-m-operation_abc123",
  "deleted": true
}
POST /api/manufacturing/b-o-m-operation/reorder

Reorder bom operations

Updates the sort order of bom operations within their parent by setting new index values.

Returns

Returns the reordered list.

POST /api/manufacturing/b-o-m-operation/reorder
curl https://api.overplane.dev/api/manufacturing/b-o-m-operation/reorder \
  -H "Authorization: Bearer sk_test_..." \
  -X POST
Response
{
  "id": "b-o-m-operation_abc123",
  "idx": 1,
  "parent_id": null,
  "parent_type": "parent_type_example",
  "operation": "operation_example",
  "workstation": "workstation_example",
  "description": "description_example",
  "hour_rate": 0,
  "time_in_mins": 0,
  "fixed_time": false,
  "operating_cost": 0,
  "base_hour_rate": 0,
  "base_operating_cost": 0,
  "image": "image_example",
  "batch_size": 0,
  "sequence_id": 0,
  "cost_per_unit": 0,
  "base_cost_per_unit": 0,
  "set_cost_based_on_bom_qty": false,
  "workstation_type": "workstation_type_example",
  "finished_good": "finished_good_example",
  "bom_no": "bom_no_example",
  "finished_good_qty": 1,
  "is_final_finished_good": false,
  "wip_warehouse": "wip_warehouse_example",
  "fg_warehouse": "fg_warehouse_example",
  "source_warehouse": "source_warehouse_example",
  "is_subcontracted": false,
  "skip_material_transfer": false,
  "backflush_from_wip_warehouse": false,
  "quality_inspection_required": false
}